Skip to main content
GET
/
v1
/
senders
/
{sender_id}
// GET https://api.signatureapi.com/v1/senders/a1b2c3d4-e5f6-7890-abcd-ef1234567890
// X-API-Key: key_test_...
// 200 OK

{
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "email": "jennifer@example.com",
    "status": "verified",
    "created_at": "2025-01-01T00:00:00.000Z"
}
Sender management via API is currently in public preview. To enable it, contact support.
Retrieves the details of a sender. Use this endpoint to check the current verification status of a sender after creation.

Path parameters

sender_id
string
required
The unique identifier of the sender.

Returns

Returns a 200 OK status code and a sender object on success, or an error otherwise.
// GET https://api.signatureapi.com/v1/senders/a1b2c3d4-e5f6-7890-abcd-ef1234567890
// X-API-Key: key_test_...
// 200 OK

{
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "email": "jennifer@example.com",
    "status": "verified",
    "created_at": "2025-01-01T00:00:00.000Z"
}